[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStrings.Clear

Removes all strings and associated objects from the list.

## Declaration

Source position: classesh.inc line 719

`public procedure TStrings.Clear; virtual; abstract;`

## Description

Clear will remove all strings and their associated objects from the list. After a call to clear, TStrings.Count is zero.

Since it is an abstract method, TStrings itself does not implement Clear. Descendant classes such as TStringList implement this method.

## See also

TStrings.Objects |  | Indexed access to the objects associated with the strings in the list.
TStrings.Strings |  | Indexed access to the strings in the list.
TStrings.Delete |  | Delete a string from the list.
TStrings.Count |  | Number of strings in the list.